Bug 1297463 - ceph systemd unit file issues
ceph systemd unit file issues
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ceph (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Boris Ranto
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-11 10:17 EST by Artemy Kapitula, RCNTEC Ltd
Modified: 2017-08-08 08:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:38:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ceph systemd compatibility patch (6.19 KB, patch)
2016-01-11 10:17 EST, Artemy Kapitula, RCNTEC Ltd
no flags Details | Diff
ceph-osd-prestart.sh patch (790 bytes, patch)
2016-01-12 15:56 EST, Artemy Kapitula, RCNTEC Ltd
no flags Details | Diff

  None (edit)
Description Artemy Kapitula, RCNTEC Ltd 2016-01-11 10:17:21 EST
Created attachment 1113624 [details]
ceph systemd compatibility patch

ceph systemd unit files fails with non-default cluster name. The only supported cluster name is "ceph". We've fixed it with a complex fix:

1. created /usr/sbin/ceph-custom-daemon script to wrap primary ceph daemons and tools (ceph-mon, ceph-osd, ceph-mds, radosgw)

2. fixed ceph-disk to use cluster name and osd ID as identifier

3. fixed systemd unit files to use wrapper script instead direct call to ceph binaries

This allows to use commands like these:

systemctl enable ceph-mon@mycluster.monhost1.service
systemctl start ceph-mds@mycluster.mdshost2.service
systemctl stop ceph-osd@mycluster.3.service

The patch is attached.

We built ceph-9.2.0 against CentOS version 7, but the same way can be used in Fedora.
Comment 1 Boris Ranto 2016-01-12 06:13:51 EST
I do not see this in upstream master (or jewel or infernalis) branch, yet. Do you have any PR for this? I do rebase fedora ceph packages regularly so as long as these changes make it/get backported into the next 9.2 release they will make their way into the next fedora build.
Comment 2 Artemy Kapitula, RCNTEC Ltd 2016-01-12 15:56 EST
Created attachment 1114129 [details]
ceph-osd-prestart.sh patch

Fixes /usr/libexec/ceph/ceph-osd-prestart.sh missed in main patch
Comment 3 Artemy Kapitula, RCNTEC Ltd 2016-01-12 16:03:57 EST
This patches is not in an upstream yet.

I don't ever guess will it be therer or not because that's a "dirty hack".
And there is one issue for all ceph users who use non-default cluster name: they will be very unhappy (exactly like me when I found that my cluster doesn't start anymore until I fix systemd unit files)
Comment 4 Artemy Kapitula, RCNTEC Ltd 2016-01-12 16:15:05 EST
I've posted a bugfix in mainstream http://tracker.ceph.com/issues/14348
Comment 5 Jan Kurik 2016-02-24 09:15:48 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 6 Fedora End Of Life 2017-07-25 15:45:34 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2017-08-08 08:38:39 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.